WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core22
2339
usr
sbin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-01-28 03:46:00
-
aa-remove-unknown
File
3 KB
0755
2025-08-15 12:17:13
aa-status
File
62.62 KB
0755
2025-08-15 12:17:13
aa-teardown
File
137 B
0755
2022-02-10 00:45:25
add-shell
File
1.03 KB
0755
2022-03-23 13:49:54
addgroup
File
37.35 KB
0755
2021-01-06 06:16:50
adduser
File
37.35 KB
0755
2021-01-06 06:16:50
agetty
File
55.56 KB
0755
2024-04-09 15:32:56
apparmor_parser
File
1.48 MB
0755
2025-08-15 12:17:13
apparmor_status
File
62.62 KB
0755
2025-08-15 12:17:13
arpd
File
26.33 KB
0755
2022-03-24 11:56:47
arptables
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-save
File
219.04 KB
0755
2024-01-16 21:14:30
badblocks
File
34.32 KB
0755
2023-10-09 01:50:10
blkdeactivate
File
15.97 KB
0755
2024-11-27 19:04:29
blkdiscard
File
22.38 KB
0755
2024-04-09 15:32:56
blkid
File
50.41 KB
0755
2024-04-09 15:32:56
blkzone
File
34.38 KB
0755
2024-04-09 15:32:56
blockdev
File
30.38 KB
0755
2024-04-09 15:32:56
bridge
File
92.49 KB
0755
2022-03-24 11:56:47
capsh
File
30.3 KB
0755
2025-02-20 15:51:02
cfdisk
File
94.73 KB
0755
2024-04-09 15:32:56
chcpu
File
30.38 KB
0755
2024-04-09 15:32:56
chgpasswd
File
58.13 KB
0755
2024-02-06 12:54:23
chmem
File
34.38 KB
0755
2024-04-09 15:32:56
chpasswd
File
54.16 KB
0755
2024-02-06 12:54:23
chroot
File
38.51 KB
0755
2024-02-08 03:46:39
cpgr
File
48.29 KB
0755
2024-02-06 12:54:23
cppw
File
48.29 KB
0755
2024-02-06 12:54:23
cryptdisks_start
File
1.51 KB
0755
2022-01-13 21:44:36
cryptdisks_stop
File
844 B
0755
2022-01-13 21:44:36
cryptsetup
File
169.92 KB
0755
2025-03-07 17:50:37
cryptsetup-reencrypt
File
90.38 KB
0755
2025-03-07 17:50:37
cryptsetup-ssh
File
23.53 KB
0755
2025-03-07 17:50:37
ctrlaltdel
File
14.38 KB
0755
2024-04-09 15:32:56
dcb
File
80.52 KB
0755
2022-03-24 11:56:47
debugfs
File
229.8 KB
0755
2023-10-09 01:50:10
delgroup
File
16.11 KB
0755
2021-01-06 06:16:50
deluser
File
16.11 KB
0755
2021-01-06 06:16:50
depmod
File
170.34 KB
0755
2020-03-12 13:15:28
devlink
File
142.86 KB
0755
2022-03-24 11:56:47
dhclient
File
442.66 KB
0755
2023-01-31 21:54:40
dhclient-script
File
15.92 KB
0755
2023-01-31 21:54:40
dmsetup
File
171.02 KB
0755
2024-11-27 19:04:29
dmstats
File
171.02 KB
0755
2024-11-27 19:04:29
dosfsck
File
82.38 KB
0755
2022-03-23 13:51:01
dosfslabel
File
38.38 KB
0755
2022-03-23 13:51:01
dumpe2fs
File
30.31 KB
0755
2023-10-09 01:50:10
e2freefrag
File
14.3 KB
0755
2023-10-09 01:50:10
e2fsck
File
351.84 KB
0755
2023-10-09 01:50:10
e2image
File
42.31 KB
0755
2023-10-09 01:50:10
e2label
File
102.55 KB
0755
2023-10-09 01:50:10
e2mmpstatus
File
30.31 KB
0755
2023-10-09 01:50:10
e2scrub
File
7.13 KB
0755
2023-10-09 01:50:10
e2scrub_all
File
5.27 KB
0755
2023-10-09 01:50:10
e2undo
File
22.3 KB
0755
2023-10-09 01:50:10
e4crypt
File
30.38 KB
0755
2023-10-09 01:50:10
e4defrag
File
30.3 KB
0755
2023-10-09 01:50:10
ebtables
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-save
File
219.04 KB
0755
2024-01-16 21:14:30
faillock
File
14.15 KB
0755
2025-06-12 14:45:28
fatlabel
File
38.38 KB
0755
2022-03-23 13:51:01
fdisk
File
110.42 KB
0755
2024-04-09 15:32:56
filefrag
File
18.32 KB
0755
2023-10-09 01:50:10
findfs
File
14.38 KB
0755
2024-04-09 15:32:56
fsck
File
42.42 KB
0755
2024-04-09 15:32:56
fsck.cramfs
File
30.44 KB
0755
2024-04-09 15:32:56
fsck.ext2
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.ext3
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.ext4
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.fat
File
82.38 KB
0755
2022-03-23 13:51:01
fsck.minix
File
54.41 KB
0755
2024-04-09 15:32:56
fsck.msdos
File
82.38 KB
0755
2022-03-23 13:51:01
fsck.vfat
File
82.38 KB
0755
2022-03-23 13:51:01
fsfreeze
File
14.38 KB
0755
2024-04-09 15:32:56
fstab-decode
File
18.3 KB
0755
2021-12-14 21:17:22
fstrim
File
42.38 KB
0755
2024-04-09 15:32:56
genl
File
90.44 KB
0755
2022-03-24 11:56:47
getcap
File
14.3 KB
0755
2025-02-20 15:51:02
getpcaps
File
14.3 KB
0755
2025-02-20 15:51:02
getty
File
55.56 KB
0755
2024-04-09 15:32:56
groupadd
File
66.91 KB
0755
2024-02-06 12:54:23
groupdel
File
62.73 KB
0755
2024-02-06 12:54:23
groupmems
File
54.19 KB
0755
2024-02-06 12:54:23
groupmod
File
66.82 KB
0755
2024-02-06 12:54:23
grpck
File
58.13 KB
0755
2024-02-06 12:54:23
grpconv
File
50.01 KB
0755
2024-02-06 12:54:23
grpunconv
File
50.01 KB
0755
2024-02-06 12:54:23
halt
File
973.23 KB
0755
2023-03-02 12:58:02
hwclock
File
50.5 KB
0755
2024-04-09 15:32:56
iconvconfig
File
30.4 KB
0755
2025-07-15 09:40:00
init
File
1.55 MB
0755
2023-03-02 12:58:02
insmod
File
170.34 KB
0755
2020-03-12 13:15:28
installkernel
File
2.6 KB
0755
2022-03-23 13:49:54
integritysetup
File
54.07 KB
0755
2025-03-07 17:50:37
invoke-rc.d
File
16.12 KB
0755
2021-12-07 21:55:54
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ip6tables
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-apply
File
6.89 KB
0755
2021-01-15 22:03:39
ip6tables-legacy
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-legacy-restore
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-legacy-save
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-restore-translate
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-save
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-translate
File
219.04 KB
0755
2024-01-16 21:14:30
iptables
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-apply
File
6.89 KB
0755
2021-01-15 22:03:39
iptables-legacy
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-legacy-restore
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-legacy-save
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-restore-translate
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-save
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-translate
File
219.04 KB
0755
2024-01-16 21:14:30
isosize
File
14.38 KB
0755
2024-04-09 15:32:56
killall5
File
30.38 KB
0755
2021-12-14 21:17:22
ldattach
File
26.38 KB
0755
2024-04-09 15:32:56
ldconfig
File
387 B
0755
2025-07-15 09:40:00
ldconfig.real
File
1.16 MB
0755
2025-07-15 09:40:00
logsave
File
14.16 KB
0755
2023-10-09 01:50:10
losetup
File
70.52 KB
0755
2024-04-09 15:32:56
lsmod
File
170.34 KB
0755
2020-03-12 13:15:28
luksformat
File
3.32 KB
0755
2022-01-13 21:44:36
mkdosfs
File
50.83 KB
0755
2022-03-23 13:51:01
mke2fs
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs
File
14.38 KB
0755
2024-04-09 15:32:56
mkfs.bfs
File
22.38 KB
0755
2024-04-09 15:32:56
mkfs.cramfs
File
34.32 KB
0755
2024-04-09 15:32:56
mkfs.ext2
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.ext3
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.ext4
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.fat
File
50.83 KB
0755
2022-03-23 13:51:01
mkfs.minix
File
42.39 KB
0755
2024-04-09 15:32:56
mkfs.msdos
File
50.83 KB
0755
2022-03-23 13:51:01
mkfs.vfat
File
50.83 KB
0755
2022-03-23 13:51:01
mkhomedir_helper
File
22.17 KB
0755
2025-06-12 14:45:28
mklost+found
File
14.3 KB
0755
2023-10-09 01:50:10
mkswap
File
46.38 KB
0755
2024-04-09 15:32:56
modinfo
File
170.34 KB
0755
2020-03-12 13:15:28
modprobe
File
170.34 KB
0755
2020-03-12 13:15:28
netplan
File
798 B
0755
2023-05-17 17:11:16
newusers
File
74.73 KB
0755
2024-02-06 12:54:23
nfnl_osf
File
18.3 KB
0755
2024-01-16 21:14:30
nologin
File
14.3 KB
0755
2024-02-06 12:54:23
pam-auth-update
File
20.5 KB
0755
2024-11-17 10:17:22
pam_extrausers_chkpwd
File
22.15 KB
2755
2025-06-12 14:45:28
pam_extrausers_update
File
30.15 KB
0755
2025-06-12 14:45:28
pam_getenv
File
2.82 KB
0755
2024-11-17 10:17:22
pam_timestamp_check
File
14.15 KB
0755
2025-06-12 14:45:28
pivot_root
File
14.38 KB
0755
2024-04-09 15:32:56
plymouthd
File
150.55 KB
0755
2023-01-03 09:56:53
poweroff
File
973.23 KB
0755
2023-03-02 12:58:02
pwck
File
50.13 KB
0755
2024-02-06 12:54:23
pwconv
File
46.01 KB
0755
2024-02-06 12:54:23
pwunconv
File
42.01 KB
0755
2024-02-06 12:54:23
readprofile
File
22.41 KB
0755
2024-04-09 15:32:56
reboot
File
973.23 KB
0755
2023-03-02 12:58:02
remove-shell
File
1.07 KB
0755
2022-03-23 13:49:54
resize2fs
File
66.3 KB
0755
2023-10-09 01:50:10
rfkill
File
30.23 KB
0755
2024-04-09 15:32:56
rmmod
File
170.34 KB
0755
2020-03-12 13:15:28
rmt
File
58.57 KB
0755
2023-12-05 05:15:51
rmt-tar
File
58.57 KB
0755
2023-12-05 05:15:51
rtacct
File
28.31 KB
0755
2022-03-24 11:56:47
rtcwake
File
34.38 KB
0755
2024-04-09 15:32:56
rtmon
File
90.39 KB
0755
2022-03-24 11:56:47
runlevel
File
973.23 KB
0755
2023-03-02 12:58:02
runuser
File
54.38 KB
0755
2024-04-09 15:32:56
service
File
8.88 KB
0755
2022-02-15 22:32:46
setcap
File
14.3 KB
0755
2025-02-20 15:51:02
sfdisk
File
102.38 KB
0755
2024-04-09 15:32:56
shadowconfig
File
885 B
0755
2021-11-11 15:42:38
shutdown
File
973.23 KB
0755
2023-03-02 12:58:02
sshd
File
899.7 KB
0755
2025-04-11 12:05:47
start-stop-daemon
File
47.35 KB
0755
2025-09-09 20:09:16
sudo_logsrvd
File
200.1 KB
0755
2025-06-25 12:48:23
sudo_sendlog
File
107.34 KB
0755
2025-06-25 12:48:23
sulogin
File
42.38 KB
0755
2024-04-09 15:32:56
swaplabel
File
18.38 KB
0755
2024-04-09 15:32:56
swapoff
File
22.38 KB
0755
2024-04-09 15:32:56
swapon
File
42.38 KB
0755
2024-04-09 15:32:56
switch_root
File
22.38 KB
0755
2024-04-09 15:32:56
sysctl
File
30.23 KB
0755
2023-10-31 11:36:04
tarcat
File
936 B
0755
2023-12-05 05:15:51
tc
File
614.08 KB
0755
2022-03-24 11:56:47
telinit
File
973.23 KB
0755
2023-03-02 12:58:02
tipc
File
90.44 KB
0755
2022-03-24 11:56:47
tune2fs
File
102.55 KB
0755
2023-10-09 01:50:10
tzconfig
File
106 B
0755
2025-04-22 10:15:47
unix_chkpwd
File
26.15 KB
2755
2025-06-12 14:45:28
unix_update
File
30.15 KB
0755
2025-06-12 14:45:28
update-ca-certificates
File
5.29 KB
0755
2024-09-24 17:46:09
update-passwd
File
34.56 KB
0755
2022-03-23 09:42:40
update-rc.d
File
16.92 KB
0755
2021-12-07 21:55:54
update-shells
File
3.72 KB
0755
2022-03-23 13:49:54
useradd
File
127.66 KB
0755
2024-02-06 12:54:23
userdel
File
86.85 KB
0755
2024-02-06 12:54:23
usermod
File
123.46 KB
0755
2024-02-06 12:54:23
vdpa
File
30.56 KB
0755
2022-03-24 11:56:47
veritysetup
File
43.76 KB
0755
2025-03-07 17:50:37
vigr
File
56.53 KB
0755
2024-02-06 12:54:23
vipw
File
56.53 KB
0755
2024-02-06 12:54:23
visudo
File
219.79 KB
0755
2025-06-25 12:48:23
wipefs
File
38.38 KB
0755
2024-04-09 15:32:56
wpa_action
File
1.69 KB
0755
2025-07-21 23:13:31
wpa_cli
File
140.31 KB
0755
2025-07-21 23:13:31
wpa_supplicant
File
3.24 MB
0755
2025-07-21 23:13:31
xtables-legacy-multi
File
96.95 KB
0755
2024-01-16 21:14:30
xtables-monitor
File
219.04 KB
0755
2024-01-16 21:14:30
xtables-nft-multi
File
219.04 KB
0755
2024-01-16 21:14:30
zic
File
62.32 KB
0755
2025-07-15 09:40:00
zramctl
File
54.52 KB
0755
2024-04-09 15:32:56
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: e2scrub
#!/bin/bash # Copyright (C) 2018 Oracle. All Rights Reserved. # # Author: Darrick J. Wong <darrick.wong@oracle.com> # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # # This program is distributed in the hope that it would be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write the Free Software Foundation, # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA. # Automatically check an LVM-managed filesystem online. # We use lvm snapshots to do this, which means that we can only # check filesystems in VGs that have at least 256MB (or so) of # free space. PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin if (( $EUID != 0 )); then echo "e2scrub must be run as root" exit 1 fi snap_size_mb=256 fstrim=0 reap=0 e2fsck_opts="" conffile="/etc/e2scrub.conf" test -f "${conffile}" && . "${conffile}" print_help() { echo "Usage: $0 [OPTIONS] mountpoint | device" echo echo "mountpoint must be on an LVM-managed block device" echo "-n: Show what commands e2scrub would execute." echo "-r: Remove e2scrub snapshot and exit, do not check anything." echo "-t: Run fstrim if successful." echo "-V: Print version information and exit." } print_version() { echo "e2scrub 1.46.5 (30-Dec-2021)" } exitcode() { ret="$1" # If we're being run as a service, the return code must fit the LSB # init script action error guidelines, which is to say that we # compress all errors to 1 ("generic or unspecified error", LSB 5.0 # section 22.2) and hope the admin will scan the log for what # actually happened. # We have to sleep 2 seconds here because journald uses the pid to # connect our log messages to the systemd service. This is critical # for capturing all the log messages if the scrub fails, because the # fail service uses the service name to gather log messages for the # error report. if [ -n "${SERVICE_MODE}" -a "${ret}" -ne 0 ]; then test "${ret}" -ne 0 && ret=1 sleep 2 fi exit "${ret}" } while getopts "nrtV" opt; do case "${opt}" in "n") DBG="echo Would execute: " ;; "r") reap=1;; "t") fstrim=1;; "V") print_version; exitcode 0;; *) print_help; exitcode 2;; esac done shift "$((OPTIND - 1))" arg="$1" if [ -z "${arg}" ]; then print_help exitcode 1 fi if ! type lsblk >& /dev/null ; then echo "e2scrub: can't find lsblk --- is util-linux installed?" exitcode 1 fi if ! type lvcreate >& /dev/null ; then echo "e2scrub: can't find lvcreate --- is lvm2 installed?" exitcode 1 fi # close file descriptor 3 (from cron) since it causes lvm to kvetch exec 3<&- # Find the device for a given mountpoint dev_from_mount() { local mountpt="$(realpath "$1")" lsblk -o NAME,FSTYPE,MOUNTPOINT -p -P -n 2> /dev/null | while read vars; do eval "${vars}" if [ "${mountpt}" != "${MOUNTPOINT}" ]; then continue fi case "${FSTYPE}" in ext[234]) echo "${NAME}" return 0 ;; esac done return 1 } # Check a device argument dev_from_arg() { local dev="$1" local fstype="$(lsblk -o FSTYPE -n "${dev}" 2> /dev/null)" case "${fstype}" in ext[234]) echo "${dev}" return 0 ;; esac return 1 } mnt_from_dev() { local dev="$1" if [ -n "${dev}" ]; then lsblk -o MOUNTPOINT -n "${dev}" fi } # Construct block device path and mountpoint from argument if [ -b "${arg}" ]; then dev="$(dev_from_arg "${arg}")" mnt="$(mnt_from_dev "${dev}")" else dev="$(dev_from_mount "${arg}")" mnt="${arg}" fi if [ ! -e "${dev}" ]; then echo "${arg}: Not an ext[234] filesystem." print_help exitcode 16 fi # Make sure this is an LVM device we can snapshot lvm_vars="$(lvs --nameprefixes -o name,vgname,lv_role --noheadings "${dev}" 2> /dev/null)" eval "${lvm_vars}" if [ -z "${LVM2_VG_NAME}" ] || [ -z "${LVM2_LV_NAME}" ] || echo "${LVM2_LV_ROLE}" | grep -q "snapshot"; then echo "${arg}: Not connnected to an LVM logical volume." print_help exitcode 16 fi start_time="$(date +'%Y%m%d%H%M%S')" snap="${LVM2_LV_NAME}.e2scrub" snap_dev="/dev/${LVM2_VG_NAME}/${snap}" teardown() { # Remove and wait for removal to succeed. ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done } check() { # First we recover the journal, then we see if e2fsck tries any # non-optimization repairs. If either of these two returns a # non-zero status (errors fixed or remaining) then this fs is bad. E2FSCK_FIXES_ONLY=1 export E2FSCK_FIXES_ONLY ${DBG} "/sbin/e2fsck" -E journal_only -p ${e2fsck_opts} "${snap_dev}" || return $? ${DBG} "/sbin/e2fsck" -f -y ${e2fsck_opts} "${snap_dev}" } mark_clean() { ${DBG} "/sbin/tune2fs" -C 0 -T "${start_time}" "${dev}" } mark_corrupt() { ${DBG} "/sbin/tune2fs" -E force_fsck "${dev}" } setup() { # Try to remove snapshot for 30s, bail out if we can't remove it. lvremove_deadline="$(( $(date "+%s") + 30))" ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" 2>/dev/null while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ] && [ "$(date "+%s")" -lt "${lvremove_deadline}" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done if [ -e "${snap_dev}" ]; then echo "${arg}: e2scrub snapshot is in use, cannot check!" return 1 fi # Create the snapshot, wait for device to appear. ${DBG} lvcreate -s -L "${snap_size_mb}m" -n "${snap}" "${LVM2_VG_NAME}/${LVM2_LV_NAME}" if [ $? -ne 0 ]; then echo "${arg}: e2scrub snapshot FAILED, will not check!" return 1 fi ${DBG} udevadm settle 2> /dev/null return 0 } if [ "${reap}" -gt 0 ]; then if [ -e "${snap_dev}" ]; then teardown 2> /dev/null fi exit 0 fi if ! setup; then exitcode 8 fi trap "teardown; exit 1" EXIT INT QUIT TERM # Check and react check case "$?" in "0") # Clean check! echo "${arg}: Scrub succeeded." mark_clean teardown trap '' EXIT # Trim the free space, which requires the snapshot be deleted. if [ "${fstrim}" -eq 1 ] && [ -d "${mnt}" ] && type fstrim > /dev/null 2>&1; then echo "${arg}: Trimming free space." fstrim -v "${mnt}" fi ret=0 ;; "8") # Operational error, what now? echo "${arg}: e2fsck operational error." teardown trap '' EXIT ret=8 ;; *) # fsck failed. Check if the snapshot is invalid; if so, make a # note of that at the end of the log. This isn't necessarily a # failure because the mounted fs could have overflowed the # snapshot with regular disk writes /or/ our repair process # could have done it by repairing too much. # # If it's really corrupt we ought to fsck at next boot. is_invalid="$(lvs -o lv_snapshot_invalid --noheadings "${snap_dev}" | awk '{print $1}')" if [ -n "${is_invalid}" ]; then echo "${arg}: Scrub FAILED due to invalid snapshot." ret=8 else echo "${arg}: Scrub FAILED due to corruption! Unmount and run e2fsck -y." mark_corrupt ret=6 fi teardown trap '' EXIT ;; esac exitcode "${ret}"
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED